import http from '@/apis/axios'
const api = 'admin/'
export default {
  // 添加
  add: (data, params) => http(api + 'addDataShare', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'deleteDataShare', data, 'post', params),
  // 分页查询
  list: (data, params) => http(api + 'getDataShareList', data, 'post', params),
  // 详情
  detail: (data, params) => http(api + 'getDataShareDetail', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'editDataShare', data, 'post', params),
  // 修改状态
  status: (data, params) => http(api + 'statusDataShare', data, 'post', params),
  // 获取全部账户列表
  accountall: (data, params) => http(api + 'userall', data, 'post', params),
  // 获取全部用户组
  groupall: (data, params) => http(api + 'getDataGroupListAll', data, 'post', params),
  // 功能权限列表
  actionList: (data, params) => http(api + 'menuactionlist', data, 'post', params)

}
