const baseName = 'supplier'

const baseRouteRecord = [
  {
    is_display: '1',
    menu_img: 'el-icon-aim',
    menu_name: '招标工作台',
    menu_route: 'Workbench',
    status: '1',
    child: [
      {
        is_display: '1',
        is_private: '0',
        menu_img: 'el-icon-aim',
        menu_name: '招标工作台',
        menu_route: 'index',
        menu_url: 'Workbench/workbench/index',
        status: '1'
      },
      {
        is_display: '0',
        is_private: '0',
        menu_img: 'el-icon-aim',
        menu_name: '招标任务详情',
        menu_route: 'wDetail',
        menu_url: 'Workbench/workbench/detail',
        status: '1'
      }
    ]
  },
  {
    is_display: 1,
    menu_img: 'el-icon-sold-out',
    menu_name: '采购业务管理',
    menu_route: 'PurchaseIn',
    status: 1,
    child: [
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-d-arrow-right',
        menu_name: '采购单管理',
        menu_route: 'purchaseOrder',
        menu_url: 'PurchaseIn/purchaseOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-guide',
        menu_name: '采购单详情',
        menu_route: 'purchaseOrderDetail',
        menu_url: 'PurchaseIn/purchaseOrder/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-arrow-right',
        menu_name: '采购入库单管理',
        menu_route: 'wsmInOrder',
        menu_url: 'PurchaseIn/wsmInOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-video-pause',
        menu_name: '采购入库单详情',
        menu_route: 'wsmInOrderDetail',
        menu_url: 'PurchaseIn/wsmInOrder/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-s-custom',
        menu_name: '采购退货单',
        menu_route: 'purchaseReturn',
        menu_url: 'PurchaseIn/purchaseReturn/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-message-solid',
        menu_name: '采购退货单详情',
        menu_route: 'purchaseReturnDetail',
        menu_url: 'PurchaseIn/purchaseReturn/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-message-solid',
        menu_name: '采购工差单管理',
        menu_route: 'purchaseDiffOrder',
        menu_url: 'PurchaseIn/purchaseDiffOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-sort',
        menu_name: '采购工差单详情',
        menu_route: 'purchaseDiffOrderDetail',
        menu_url: 'PurchaseIn/purchaseDiffOrder/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-thumb',
        menu_name: '竞标反馈查询',
        menu_route: 'recovery',
        menu_url: 'PurchaseIn/recovery/index',
        status: 1
      }
    ]
  },
  {
    is_display: 1,
    menu_img: 'el-icon-sell',
    menu_name: '销售业务管理',
    menu_route: 'SellOut',
    status: 1,
    child: [
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-sell',
        menu_name: '销售订单管理',
        menu_route: 'salesOrder',
        menu_url: 'SellOut/salesOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-warning-outline',
        menu_name: '订单详情',
        menu_route: 'salesOrderDetail',
        menu_url: 'SellOut/salesOrder/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-video-camera',
        menu_name: '发货申请管理',
        menu_route: 'sellOutOrder',
        menu_url: 'SellOut/sellOutOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-s-finance',
        menu_name: '发货申请详情',
        menu_route: 'sellOutOrderDetail',
        menu_url: 'SellOut/sellOutOrder/detail',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-truck',
        menu_name: '订单批量发货',
        menu_route: 'sendOutOrder',
        menu_url: 'SellOut/sellOutOrder/sendOutOrder',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-ship',
        menu_name: '售后申请单',
        menu_route: 'sellAfterApply',
        menu_url: 'SellOut/sellAfterApply/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-circle-close',
        menu_name: '售后申请单详情',
        menu_route: 'sellAfterApplyDetail',
        menu_url: 'SellOut/sellAfterApply/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-s-help',
        menu_name: '售后退货单',
        menu_route: 'returnOrder',
        menu_url: 'SellOut/returnOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-help',
        menu_name: '售后退货单详情',
        menu_route: 'returnOrderDetail',
        menu_url: 'SellOut/returnOrder/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-circle-close',
        menu_name: '未发货退货单',
        menu_route: 'sellReturn',
        menu_url: 'SellOut/sellReturn/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-video-camera',
        menu_name: '退货单详情',
        menu_route: 'sellReturnDetail',
        menu_url: 'SellOut/sellReturn/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-c-scale-to-original',
        menu_name: '工差单管理',
        menu_route: 'zxDiffOrder',
        menu_url: 'SellOut/zxDiffOrder/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-c-scale-to-original',
        menu_name: '工差单详情',
        menu_route: 'zxDiffOrderDetail',
        menu_url: 'sellOut/zxDiffOrder/detail',
        status: 1
      }
    ]
  },
  {
    is_display: 1,
    menu_img: 'el-icon-s-finance',
    menu_name: '商品管理',
    menu_route: 'goodStore',
    status: 1,
    child: [
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-s-shop',
        menu_name: '商品单位',
        menu_route: 'unit',
        menu_url: 'goodStore/unit/index',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-s-flag',
        menu_name: '商品规格',
        menu_route: 'specs',
        menu_url: 'goodStore/specs/index',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-takeaway-box',
        menu_name: '商品品牌',
        menu_route: 'brand',
        menu_url: 'goodStore/brand/index',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-suitcase-1',
        menu_name: '商品成本管理',
        menu_route: 'goodsCost',
        menu_url: 'goodStore/goodsCost/index',
        status: 1
      },
      {
        is_display: 0,
        is_private: 0,
        menu_img: 'el-icon-c-scale-to-original',
        menu_name: '商品成本详情',
        menu_route: 'goodsCostDetail',
        menu_url: 'goodStore/goodsCost/detail',
        status: 1
      },
      {
        is_display: 1,
        is_private: 0,
        menu_img: 'el-icon-paperclip',
        menu_name: '专属类型管理',
        menu_route: 'exclusive',
        menu_url: 'serviceParam/exclusive/index',
        status: 1
      }
    ]
  }
  // {
  //   is_display: "1",
  //   menu_img: "el-icon-thumb",
  //   menu_name: "竞标反馈查询",
  //   menu_route: "recovery",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "0",
  //       menu_img: "el-icon-thumb",
  //       menu_name: "竞标反馈查询",
  //       menu_route: "index",
  //       menu_url: "recovery/index",
  //       status: "1",
  //     },
  //   ],
  // },

  // {
  //   is_display: "1",
  //   menu_img: "el-icon-sold-out",
  //   menu_name: "销售订单管理",
  //   menu_route: "purchaseOrder",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "0",
  //       menu_img: "el-icon-d-arrow-right",
  //       menu_name: "销售订单管理",
  //       menu_route: "index",
  //       menu_url: "purchaseOrder/index",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //     {
  //       is_display: "0",
  //       is_private: "0",
  //       menu_img: "el-icon-guide",
  //       menu_name: "销售订单详情",
  //       menu_route: "pDetail",
  //       menu_url: "purchaseOrder/detail",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //   ],
  // },
  // {
  //   is_display: "1",
  //   menu_img: "el-icon-sell",
  //   menu_name: "发货申请管理",
  //   menu_route: "sellOutOrder",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "0",
  //       menu_img: "el-icon-video-camera",
  //       menu_name: "发货申请管理",
  //       menu_route: "index",
  //       menu_url: "sellOutOrder/index",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //     {
  //       is_display: "0",
  //       is_private: "0",
  //       menu_img: "el-icon-s-finance",
  //       menu_name: "发货申请详情",
  //       menu_route: "sDetail",
  //       menu_url: "sellOutOrder/detail",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //   ],
  // },
  // {
  //   is_display: "1",
  //   menu_img: "el-icon-sell",
  //   menu_name: "发货申请批量发货",
  //   menu_route: "sendOutOrder",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "1",
  //       menu_img: "el-icon-truck",
  //       menu_name: "发货申请批量发货",
  //       menu_route: "index",
  //       menu_url: "sendOutOrder/index",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //   ],
  // } ,
  // {
  //   is_display: "1",
  //   menu_img: "el-icon-s-finance",
  //   menu_name: "商品管理",
  //   menu_route: "goodsCost",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "0",
  //       menu_img: "el-icon-suitcase-1",
  //       menu_name: "商品管理",
  //       menu_route: "index",
  //       menu_url: "goodsCost/index",
  //       status: "1",
  //     },
  //     {
  //       is_display: "0",
  //       is_private: "0",
  //       menu_img: "el-icon-c-scale-to-original",
  //       menu_name: "商品详情",
  //       menu_route: "gDetail",
  //       menu_url: "goodsCost/detail",
  //       status: "1",
  //     },
  //   ],
  // },
  // {
  //   is_display: "1",
  //   menu_img: "el-icon-s-order",
  //   menu_name: "报备单管理",
  //   menu_route: "report",
  //   status: "1",
  //   child: [
  //     {
  //       is_display: "1",
  //       is_private: "0",
  //       menu_img: "el-icon-s-order",
  //       menu_name: "报备单管理",
  //       menu_route: "index",
  //       menu_url: "report/index",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //     {
  //       is_display: "0",
  //       is_private: "0",
  //       menu_img: "el-icon-s-order",
  //       menu_name: "报备单详情",
  //       menu_route: "detail",
  //       menu_url: "report/detail",
  //       status: "1",
  //       alwaysShow: false,
  //     },
  //   ]
  // },
]
function createSupplierRouteRecord() {
  const format = str => baseName + str.slice(0, 1).toUpperCase() + str.slice(1)
  return baseRouteRecord.map(record => ({
    ...record, menu_route: format(record.menu_route),
    child: record.child.map(childRecord => ({ ...childRecord, menu_url: format(childRecord.menu_url) }))
  }))
}

export default createSupplierRouteRecord()
