//是否定制
const options1 = [
  { id: "0", name: "是" },
  { id: "1", name: "否" },
];
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
];
//销售权限
const options3 = [
  { id: "0", name: "有销售权限" },
  { id: "1", name: "无销售权限" },
];

//是否库存品
const options4 = [
  { id: "0", name: "库存品" },
  { id: "1", name: "非库存品" },
];
//是否启用实时金价
const options5 = [
  { id: "0", name: "是" },
  { id: "1", name: "否" },
];
//供货区域
const options6 = [
  { id: "0", name: "全国" },
  { id: "1", name: "全国除偏远" },
];
const listCol = [
  {
    prop: "actCode",
    label: "活动编码",
    fixed: "left",
    width: "160",
  },
  {
    prop: "act_name",
    label: "活动名称",
  },
  {
    prop: "status",
    label: "状态",
    width: "105",
    _slot_: "status",
  },

  {
    prop: "atime",
    label: "活动时间",
    _slot_: "atime",
    width: "270",
  },
  {
    prop: "company_name",
    label: "活动公司",
  },
  {
    prop: "contactor",
    label: "负责人",
    width: "60",
  },
  {
    prop: "mobile",
    label: "联系电话",
    width: "100",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "142",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: "50",
  },
];
const showColumns = [
  {
    prop: "actCode",
    label: "活动编码",
    span: 6,
  },
  {
    prop: "status",
    _slot_: "status",
    label: "状态",
    span: 6,
  },
  {
    prop: "time",
    _slot_: "time",
    label: "活动时间",
    span: 12,
  },
  {
    prop: "act_name",
    label: "活动名称",
    span: 24,
  },

  {
    prop: "web_url",
    label: "活动地址",
    span: 24,
  },
  {
    prop: "company_name",
    label: "活动企业",
  },
  {
    prop: "user",
    _slot_: "user",
    label: "负责人",
    span: 6,
  },
  {
    prop: "addtime",
    label: "创建时间",
    span: 6,
  },
  
];
const statusOptions= [
  { id: "0", label: "待选择商品" },
  { id: "1", label: "待上传链接" },
  { id: "2", label: "待活动开始" },
  { id: "3", label: "活动进行中" },
  { id: "4", label: "活动已结束" },
  { id: "5", label: "活动已暂停" },
  { id: "6", label: "活动已取消" },
]
const goodColumns = [

  {
    prop: "yz_good_code",
    label: "商品上线编号",
    width: "160px",
  },
  {
    prop: "plat_code",
    label: "平台商品编号",
    width: "160px",
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "160px",
  },
  {
    prop: "status",
    label: "兑换链接状态",
    _slot_: "status",
    width: "100px",
  },
  {
    prop: "stock_num",
    label: "活动所需库存",
    width: "100px",
  },
  {
    prop: "origin_price",
    label: "划线价",
    width: "100px",
  },
  {
    prop: "final_price",
    label: "最终售价",
    width: "100px",
  },
];
export {
  options1,
  options2,
  options3,
  options4,
  options5,
  options6,
  listCol,
  showColumns,
  statusOptions,
  goodColumns
};
